# Verified Tokens oneTime resource

Create a verified oneTime token by sending a request to oneTime resource. A oneTime verified token allows you to take payments that are made by the customer using a stored verified token, such as in one-click or in-app purchases.

Endpoint: POST /verifiedTokens/oneTime
Version: v2
Security: BasicAuth

## Request fields (application/vnd.worldpay.verified-tokens-v2.hal+json):

  - `paymentInstrument` (any, required) — one of (discriminator: type):
    An object that contains the card details or token location.
    - card/plain:
      - `type` (string, required)
        Example: "card/plain"
      - `cardNumber` (string, required)
      - `cardExpiryDate` (object, required)
      - `cardExpiryDate.month` (integer, required)
      - `cardExpiryDate.year` (integer, required)
      - `cvc` (string)
      - `cardHolderName` (string, required)
      - `billingAddress` (object)
      - `billingAddress.address1` (string, required)
      - `billingAddress.address2` (string)
      - `billingAddress.address3` (string)
      - `billingAddress.postalCode` (string, required)
      - `billingAddress.city` (string, required)
      - `billingAddress.state` (string)
      - `billingAddress.countryCode` (string, required)
    - card/checkout:
      - `type` (string, required)
        Example: "card/checkout"
      - `sessionHref` (string, required)
        Only session href of type verified token/card created in the same environment are accepted
      - `cardHolderName` (string, required)
      - `billingAddress` (object)
      - `billingAddress.address1` (string, required)
      - `billingAddress.address2` (string)
      - `billingAddress.address3` (string)
      - `billingAddress.postalCode` (string, required)
      - `billingAddress.city` (string, required)
      - `billingAddress.state` (string)
      - `billingAddress.countryCode` (string, required)

  - `merchant` (object, required)

  - `merchant.entity` (string, required)

  - `verificationCurrency` (string, required)

  - `description` (string)

  - `tokenExpiryDateTime` (string)

  - `namespace` (string)

## Response 200 fields (application/vnd.worldpay.verified-tokens-v2.hal+json):

  - `outcome` (string, required)
    Example: "verified"

  - `_links` (object, required)

  - `_links.verifications:verification` (object, required)

  - `_links.verifications:verification.href` (string)
    Example: "https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ=="

  - `_links.tokens:token` (object, required)

  - `_links.tokens:token.href` (string)
    Example: "https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}"

  - `_links.curies` (array, required)

  - `_links.curies.href` (string)
    Example: "https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json"

  - `_links.curies.name` (string)
    Example: "verifications"

  - `_links.curies.templated` (boolean)
    Example: true

## Response 201 fields (application/vnd.worldpay.verified-tokens-v2.hal+json):

  - `outcome` (string)
    Example: "verified"

  - `_links` (object, required)

## Response 206 fields (application/vnd.worldpay.verified-tokens-v2.hal+json):

  - `outcome` (string)
    Example: "not verified"

  - `code` (string)
    Example: 76

  - `description` (string)
    Example: "CARD BLOCKED"

  - `_links` (object, required)

  - `_links.verifications:verification` (object, required)

  - `_links.verifications:verification.href` (string)
    Example: "https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ=="

  - `_links.tokens:token` (object, required)

  - `_links.tokens:token.href` (string)
    Example: "https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}"

  - `_links.tokens:conflicts` (object, required)

  - `_links.tokens:conflicts.href` (string)
    Example: "https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}"

  - `_links.curies` (array, required)

  - `_links.curies.href` (string)
    Example: "https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json"

  - `_links.curies.name` (string)
    Example: "verifications"

  - `_links.curies.templated` (boolean)
    Example: true

## Response 409 fields (application/vnd.worldpay.verified-tokens-v2.hal+json):

  - `outcome` (string, required)
    Example: "verified"

  - `_links` (object, required)


